/* nhdctrlcmd.h */
/* Norbert Doerrry
   November 2018 */

#define NHD_LOGFILE "nhdctrllog.txt"

#define NHD_NAME "NHDCTRLCMD"  // used for FROM_NAME on command 

#define NHD_BUF_LEN 2048
#define NHD_NAME_SIZE 256

#define NHD_RETRIES 3
#define NHD_TIMEOUT 5.0

typedef struct nhd
{
 char buffer[NHD_BUF_LEN];
 char inbuffer[NHD_BUF_LEN];
 char from_name[NHD_NAME_SIZE];
 char *to_name;
 char *device;
 char *command;
 
 char stime[9];

 char stick[9];

 char sauth[5];


 clock_t tick;

 time_t time;

 int retries;

 FILE *out;
}
NHD;


void nhd_initialize(int argc, char **argv, NHD *nhd);



